Subject: Re: bug#18767: 24.4; incorrect byte-compile on arithmatic comparisons

From: Shigeru Fukaya <[email-masked]>
Date: Thu, 23 Oct 2014 01:26:22 +0900

>I was worried that (<= 1 0 "a" nil) would return nil rather than
>signal an error, but I see that this is already the case if you use
>a normal call.  I installed your patch (except, using `cl-every').

How about adding the sentence to their help document, implying the
behavior, like,

  All args are evaluateed (without checking type) at first,
  then compared left to right.

Shigeru